Subject: Re: [PATCH v2 2/2] rebase -i: improve error message when picking merge

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 9 Apr 2024 08:04:05 +0200

On Mon, Apr 08, 2024 at 10:08:24PM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > So I think it's okay to not mention the exact commit here because we
> > cannot reliably second-guess the ultimate extent. My basic assumption is
> > that in many cases the user may not even be aware of them trying to pick
> > a merge commit, and that it may not have been their intent.
> 
> Hmph, if that assumption is really true, would suggesting "merge -C"
> be the right thing in the first place?
> 
> I do not deal with non-linear stuff in "rebase -i" or sequencer, so
> I may not be a good person to judge how good your basic assumption
> is, though.

Yeah, neither do I. The assumption really only comes from my own gut
feeling, which can certainly be quite wrong.

Patrick